# EVENTI_TRG

## Informazioni

- **Tabella**: EVENTI
- **Evento**: INSERT
- **Tipo**: BEFORE EACH ROW
- **Stato**: ENABLED

## Codice Sorgente

```sql
TRIGGER "EVENTI_TRG" 
BEFORE INSERT ON EVENTI 
FOR EACH ROW 
BEGIN
    IF INSERTING THEN
      SELECT EVENTI_SEQ.NEXTVAL INTO :NEW.ID FROM SYS.DUAL;
    END IF;

  if inserting or updating then
    --aggiornamento data_doc (data redazione)    
    :NEW.DATA_DOC := sysdate;      
  end if;

  if inserting THEN 
    :NEW.STATO := nvl(:NEW.STATO, 100);
   IF nvl(:NEW.vers_number, 0) = 0 THEN
   	:NEW.vers_token := DBMS_RANDOM.STRING ('A' , DBMS_RANDOM.VALUE (64, 255));
   END IF;
  end if;

END;
```
